Bug 981491 - localectl fails to apply VC keymap after selecting it (SELinux-related)
localectl fails to apply VC keymap after selecting it (SELinux-related)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All All
unspecified Severity high
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 19:41 EDT by Adam Williamson
Modified: 2013-07-12 11:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-12 04:11:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-07-04 19:41:15 EDT
When trying to use 'localectl set-keymap' with SELinux in Enforcing mode, I get errors in journalctl output, and the change does not take effect.

Jul 04 16:35:30 adam.localdomain polkitd[657]: Registered Authentication Agent for unix-process:29771:1379682 (system bus name :1.206 [/usr/bin/pkttyagent --notify-fd 5 --fallback], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.utf8)
Jul 04 16:35:30 adam.localdomain systemd-localed[28481]: Changed virtual console keymap to 'fr'
Jul 04 16:35:30 adam.localdomain systemd-localed[28481]: Failed to issue method call: Access denied
Jul 04 16:35:30 adam.localdomain systemd-localed[28481]: Failed to request keymap reload: Input/output error
Jul 04 16:35:30 adam.localdomain polkitd[657]: Unregistered Authentication Agent for unix-process:29771:1379682 (system bus name :1.206, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.utf8) (disconnected from bus)

If I do 'setenforce Permissive', the VC change takes effect immediately. No AVC appears to be logged in either case, though.
Comment 1 Adam Williamson 2013-07-04 19:44:10 EDT
Note that I can call 'loadkeys fr' or 'loadkeys us' happily as root, with the expected consequences, with SELinux enforcing.
Comment 2 Adam Williamson 2013-07-04 20:09:12 EDT
This affects both F19 and Rawhide, BTW.
Comment 3 Daniel Walsh 2013-07-05 07:43:43 EDT
Can you attempt this after executing

# semodule -DB

And see if this generates avcs.
Comment 4 Daniel Walsh 2013-07-05 07:54:56 EDT
05ee83c01ea9bfce9f9ed4e67e24fa7959eb8360 fixes this in git.  At least what I saw.
Comment 5 Adam Williamson 2013-07-12 11:31:47 EDT
Yup, indeed it seems to work in today's Rawhide. Thanks!

Note You need to log in before you can comment on or make changes to this bug.